Bug 1651383 - Gnome on Wayland ignores style of the preedit of ibus input-methods
Summary: Gnome on Wayland ignores style of the preedit of ibus input-methods
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 21:13 UTC by Mike FABIAN
Modified: 2019-11-06 09:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
gnome-on-wayland-ignores-preedit-style.png (262.46 KB, image/png)
2018-11-19 21:13 UTC, Mike FABIAN
no flags Details
gnome-on-xorg-honors-preedit-style.png (220.35 KB, image/png)
2018-11-19 21:20 UTC, Mike FABIAN
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME/mutter/issues/153 None None None 2018-12-21 08:02:25 UTC
GNOME Gitlab GNOME/mutter/issues/171 None None None 2018-11-21 03:53:37 UTC

Description Mike FABIAN 2018-11-19 21:13:02 UTC
Created attachment 1507332 [details]
gnome-on-wayland-ignores-preedit-style.png

On Fedora 29 when using Gnome on Wayland, the preëdit of ibus input methods
is always underlined and the colours are always the same (standard foreground and background). The attributes the ibus engine sets for the preëdit are ignored.

See the attached screen shot which uses the latn-post input method
from ibus-m17n as an example. In the setup tool of that input method,
red is selected as the foreground for the preëdit and yellow as the background and "Underline: None" is selected.

But the ü seen in gedit, which is currently in preëdit, is black on white
*and* it is underlined. It should not be underlined.

On Gnome Xorg, this works.

Comment 1 Mike FABIAN 2018-11-19 21:20:15 UTC
Created attachment 1507333 [details]
gnome-on-xorg-honors-preedit-style.png

Same procedure using Gnome on Xorg, one can see that the preëdit style
settings work, there is no underline, the foreground is red and the
background is yellow.

Comment 2 Ben Cotton 2019-10-31 20:16:32 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.